<!-- begin of generated class -->
<?php
/*
*
* -------------------------------------------------------
* CLASSNAME:        tbl_upcoming_muhurt
* GENERATION DATE:  20.03.2017
* CLASS FILE:       D:\wamp\www\Classgenerator/generated_classes/class.tbl_upcoming_muhurt.php
* FOR MYSQL TABLE:  tbl_upcoming_muhurt
* FOR MYSQL DB:     poorna_pooja
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_upcoming_muhurt
{ // class : begin


// **********************
// ATTRIBUTE DECLARATION
// **********************


var $muhurt_id;   // (normal Attribute)
var $muhurt_for_month;   // (normal Attribute)
var $muhurt_title_mr;   // (normal Attribute)
var $muhurt_title_en;   // (normal Attribute)
var $muhurt_dates_mr;   // (normal Attribute)
var $muhurt_dates_en;   // (normal Attribute)
var $is_deleted;   // (normal Attribute)
var $created_date;   // (normal Attribute)

var $database; // Instance of class database


// **********************
// CONSTRUCTOR METHOD
// **********************

function tbl_upcoming_muhurt()
{

$this->database = new Database();

}


// **********************
// GETTER METHODS
// **********************


function getmuhurt_id()
{
return $this->muhurt_id;
}

function getmuhurt_for_month()
{
return $this->muhurt_for_month;
}

function getmuhurt_title_mr()
{
return $this->muhurt_title_mr;
}

function getmuhurt_title_en()
{
return $this->muhurt_title_en;
}

function getmuhurt_dates_mr()
{
return $this->muhurt_dates_mr;
}

function getmuhurt_dates_en()
{
return $this->muhurt_dates_en;
}

function getis_deleted()
{
return $this->is_deleted;
}

function getcreated_date()
{
return $this->created_date;
}

// **********************
// SETTER METHODS
// **********************


function setmuhurt_id($val)
{
$this->muhurt_id =  $val;
}

function setmuhurt_for_month($val)
{
$this->muhurt_for_month =  $val;
}

function setmuhurt_title_mr($val)
{
$this->muhurt_title_mr =  $val;
}

function setmuhurt_title_en($val)
{
$this->muhurt_title_en =  $val;
}
function setmuhurt_dates_mr($val)
{
$this->muhurt_dates_mr =  $val;
}

function setmuhurt_dates_en($val)
{
$this->muhurt_dates_en =  $val;
}

function setis_deleted($val)
{
$this->is_deleted =  $val;
}

function setcreated_date($val)
{
$this->created_date =  $val;
}

// **********************
// SELECT METHOD / LOAD
// **********************

function select($id)
{

$sql =  "SELECT * FROM tbl_upcoming_muhurt WHERE  muhurt_id= $id;";
$result =  $this->database->query($sql);
$result = $this->database->result;
$row = mysqli_fetch_object($result);


$this->muhurt_id = $row->muhurt_id;

$this->muhurt_for_month = $row->muhurt_for_month;

$this->muhurt_title_mr = $row->muhurt_title_mr;

$this->muhurt_title_en = $row->muhurt_title_en;

$this->muhurt_dates_mr = $row->muhurt_dates_mr;

$this->muhurt_dates_en = $row->muhurt_dates_en;

$this->is_deleted = $row->is_deleted;

$this->created_date = $row->created_date;

}

// **********************
// DELETE
// **********************

function delete($id)
{
$sql = "DELETE FROM tbl_upcoming_muhurt WHERE  muhurt_id= $id;";
$result = $this->database->query($sql);

}

// **********************
// INSERT
// **********************

function insert()
{

$sql = "INSERT INTO tbl_upcoming_muhurt ( muhurt_id,muhurt_for_month,muhurt_title_mr,muhurt_title_en,muhurt_dates_mr,muhurt_dates_en,is_deleted,created_date ) VALUES ( '$this->muhurt_id','$this->muhurt_for_month','$this->muhurt_title_mr','$this->muhurt_title_en','$this->muhurt_dates_mr','$this->muhurt_dates_en','$this->is_deleted','$this->created_date' )";
$result = $this->database->query($sql);
return mysqli_insert_id($this->database->link);

}

// **********************
// UPDATE
// **********************

function update($id)
{



$sql = " UPDATE tbl_upcoming_muhurt SET  muhurt_for_month = '$this->muhurt_for_month',muhurt_title_mr = '$this->muhurt_title_mr',muhurt_title_en = '$this->muhurt_title_en',muhurt_dates_mr = '$this->muhurt_dates_mr',muhurt_dates_en = '$this->muhurt_dates_en',is_deleted = '$this->is_deleted',created_date = '$this->created_date' WHERE  muhurt_id= $id ";

$result = $this->database->query($sql);



}



// Select All Upcoming Muhurt List
	function selectAllUpcomingMuhurtList()
	{
		
		try
		{
			$sql =  "SELECT * FROM tbl_upcoming_muhurt WHERE  is_deleted = '0'";
			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
		
	
				  $arr[$count] = new tbl_upcoming_muhurt();
				  $arr[$count]->setmuhurt_id($row->muhurt_id);
				  $arr[$count]->setmuhurt_for_month($row->muhurt_for_month);
				  $arr[$count]->setmuhurt_title_mr($row->muhurt_title_mr);
				  $arr[$count]->setmuhurt_title_en($row->muhurt_title_en );
				  $arr[$count]->setmuhurt_dates_mr($row->muhurt_dates_mr );
				  $arr[$count]->setmuhurt_dates_en($row->muhurt_dates_en );
				  $arr[$count]->setis_deleted($row->is_deleted );
				  $arr[$count]->setcreated_date($row->created_date );
				  
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}
     

} // class : end

?>
<!-- end of generated class -->
